Page MenuHomePhabricator

[mips] Fix assertion on i128 addition/subtraction on MIPS64
ClosedPublic

Authored by dsanders on Dec 11 2014, 3:00 AM.

Details

Summary

In addition to the included tests, this fixes
test/CodeGen/Generic/i128-addsub.ll on a mips64 host.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 17155.Dec 11 2014, 3:00 AM
dsanders retitled this revision from to [mips] Fix assertion for i128 addition/subtraction on MIPS64.
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added reviewers: atanasyan, vmedic, slthakur.
dsanders added a subscriber: Unknown Object (MLST).
dsanders retitled this revision from [mips] Fix assertion for i128 addition/subtraction on MIPS64 to [mips] Fix assertion on i128 addition/subtraction on MIPS64.Dec 11 2014, 3:13 AM
sdkie added a subscriber: sdkie.Dec 11 2014, 5:10 AM
vmedic accepted this revision.Jan 13 2015, 6:32 AM
vmedic edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jan 13 2015, 6:32 AM
dsanders closed this revision.Jan 24 2015, 4:59 AM